
=encoding utf8

=head1 NAME

Sidef::Sys::Sys

=head1 DESCRIPTION

This class implements ...

=head1 SYNOPSIS

var obj = Sys(...)


=head1 INHERITS

Inherits methods from:

       * Sidef::Object::Object

=head1 METHODS

=head2 alarm

    Sys.alarm()

Returns the

=cut

=head2 bless

    Sys.bless()

Returns the

=cut

=head2 class_name

    Sys.class_name()

Returns the

=cut

=head2 defined

    Sys.defined()

Returns the

=cut

=head2 die

    Sys.die()

Returns the

Aliases: I<raise>

=cut

=head2 eval

    Sys.eval()

Returns the

=cut

=head2 exec

    Sys.exec()

Returns the

=cut

=head2 exit

    Sys.exit()

Returns the

=cut

=head2 fork

    Sys.fork()

Returns the

=cut

=head2 getgrent

    Sys.getgrent()

Returns the

=cut

=head2 getgrgid

    Sys.getgrgid()

Returns the

=cut

=head2 getgrnam

    Sys.getgrnam()

Returns the

=cut

=head2 gethostbyaddr

    Sys.gethostbyaddr()

Returns the

=cut

=head2 gethostbyname

    Sys.gethostbyname()

Returns the

=cut

=head2 gethostent

    Sys.gethostent()

Returns the

=cut

=head2 getnetbyaddr

    Sys.getnetbyaddr()

Returns the

=cut

=head2 getnetbyname

    Sys.getnetbyname()

Returns the

=cut

=head2 getnetent

    Sys.getnetent()

Returns the

=cut

=head2 getpgrp

    Sys.getpgrp()

Returns the

=cut

=head2 getppid

    Sys.getppid()

Returns the

=cut

=head2 getpriority

    Sys.getpriority()

Returns the

=cut

=head2 getprotobyname

    Sys.getprotobyname()

Returns the

=cut

=head2 getprotobynumber

    Sys.getprotobynumber()

Returns the

=cut

=head2 getprotoent

    Sys.getprotoent()

Returns the

=cut

=head2 getpwent

    Sys.getpwent()

Returns the

=cut

=head2 getpwnam

    Sys.getpwnam()

Returns the

=cut

=head2 getpwuid

    Sys.getpwuid()

Returns the

=cut

=head2 getservbyname

    Sys.getservbyname()

Returns the

=cut

=head2 getservbyport

    Sys.getservbyport()

Returns the

=cut

=head2 getservent

    Sys.getservent()

Returns the

=cut

=head2 isweak

    Sys.isweak()

Returns the

=cut

=head2 kill

    Sys.kill()

Returns the

=cut

=head2 nano_sleep

    Sys.nano_sleep()

Returns the

Aliases: I<nanosleep>

=cut

=head2 open

    Sys.open()

Returns the

=cut

=head2 opendir

    Sys.opendir()

Returns the

=cut

=head2 os

    Sys.os()

Returns the

Aliases: I<osname>

=cut

=head2 print

    Sys.print()

Returns the

=cut

=head2 printf

    Sys.printf()

Returns the

=cut

=head2 printh

    Sys.printh()

Returns the

=cut

=head2 read

    Sys.read()

Returns the

=cut

=head2 readln

    Sys.readln()

Returns the

Aliases: I<scanln>

=cut

=head2 ref

    Sys.ref()

Returns the

=cut

=head2 refaddr

    Sys.refaddr()

Returns the

=cut

=head2 reftype

    Sys.reftype()

Returns the

=cut

=head2 run

    Sys.run()

Returns the

Aliases: I<system>

=cut

=head2 say

    Sys.say()

Returns the

Aliases: I<println>

=cut

=head2 select

    Sys.select()

Returns the

=cut

=head2 setgrent

    Sys.setgrent()

Returns the

=cut

=head2 sethostent

    Sys.sethostent()

Returns the

=cut

=head2 setnetent

    Sys.setnetent()

Returns the

=cut

=head2 setpgrp

    Sys.setpgrp()

Returns the

=cut

=head2 setpriority

    Sys.setpriority()

Returns the

=cut

=head2 setprotoent

    Sys.setprotoent()

Returns the

=cut

=head2 setpwent

    Sys.setpwent()

Returns the

=cut

=head2 setservent

    Sys.setservent()

Returns the

=cut

=head2 sidef

    Sys.sidef()

Returns the

=cut

=head2 sleep

    Sys.sleep()

Returns the

=cut

=head2 stderr

    Sys.stderr()

Returns the

=cut

=head2 stdin

    Sys.stdin()

Returns the

=cut

=head2 stdout

    Sys.stdout()

Returns the

=cut

=head2 ualarm

    Sys.ualarm()

Returns the

Aliases: I<micro_alarm>

=cut

=head2 umask

    Sys.umask()

Returns the

=cut

=head2 unweaken

    Sys.unweaken()

Returns the

=cut

=head2 user

    Sys.user()

Returns the

Aliases: I<getlogin>

=cut

=head2 usleep

    Sys.usleep()

Returns the

Aliases: I<micro_sleep>

=cut

=head2 wait

    Sys.wait()

Returns the

=cut

=head2 warn

    Sys.warn()

Returns the

=cut

=head2 weaken

    Sys.weaken()

Returns the

=cut
